org.apache.hadoop.log.metrics

## Class EventCounter

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.hadoop.log.metrics.EventCounter

- All Implemented Interfaces:
    org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class EventCounter
      extends org.apache.log4j.AppenderSkeleton

  A log4J Appender that simply counts logging events in three levels: fatal, error and warn. The class name is used in log4j.properties

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventCounter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(org.apache.log4j.spi.LoggingEvent event)`
    `void` | `close()`
    `boolean` | `requiresLayout()`

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventCounter

          public EventCounter()

  - ### Method Detail

    - #### append

          public void append(org.apache.log4j.spi.LoggingEvent event)

      Specified by:
        `append` in class `org.apache.log4j.AppenderSkeleton`

    - #### close

          public void close()

    - #### requiresLayout

          public boolean requiresLayout()

Copyright © 2022 Apache Software Foundation. All rights reserved.